Album: Don't You Lecture Me With Your Thirty Dollar Homestuck!
Style: single
Date: April 13, 2024
Date Added: April 13, 2024
Artists:
- TheAdvertiseme
Cover Artists:
- TheAdvertiseme
Cover Art Dimensions: 1280x720
Art Tags:
- Jack Noir
URLs:
- https://www.youtube.com/watch?v=0ESnvwFGhnE
Groups:
- Fandom
Color: '#cc44cc'
---
Track: Don't You Lecture Me With Your Thirty Dollar Homestuck!
Additional Names:
- Name: >-
    Black - Don't You Lecture Me With Your Thirty Dollar Homestuck! (FULL COVER)
  Annotation: >-
    [YouTube](https://www.youtube.com/watch?v=0ESnvwFGhnE)
Duration: 2:38
Referenced Tracks:
- Don't you lecture me with your 30 dollar haircut
- Black
Commentary: |-
    <i>TheAdvertiseme:</i> ([YouTube description](https://www.youtube.com/watch?v=0ESnvwFGhnE), excerpt)

    No amount of grist could fix my haircut. :( But I could at least finally finish this cover!<br>
    Happy Anniversary Homestuck!

    Please check out this site it's stupidly fun: https://thirtydollar.website/
Lyrics: |-
    (Don't you lecture me with your—)
